Bug 428810 - /sbin/loader(loaderSegvHandler+0x7e)[0x409b0e] - SIGABRT when attempting manual driver load
/sbin/loader(loaderSegvHandler+0x7e)[0x409b0e] - SIGABRT when attempting manu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Alpha
  Show dependency treegraph
 
Reported: 2008-01-15 07:32 EST by James Laska
Modified: 2013-09-02 02:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 14:28:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-01-15 07:32:41 EST
Description of problem:

Doing an x86_64 paravirt rawhide install 

Version-Release number of selected component (if applicable):

anaconda-11.4.0.20-1

How reproducible:

100%

Steps to Reproduce:
1. Boot installer
2. Loader notes that no devices were found ... asks if I would like to manually
specify a device (likely another bug, but a different issue)
3. Select xenblk, and select OK
  
Actual results:

loader received SIGABRT!  Backtrace:                                           
/sbin/loader(loaderSegvHandler+0x7e)[0x409b0e]
/lib64/libc.so.6[0x2aaaacd5d000]
/lib64/libc.so.6(gsignal+0x35)[0x2aaaacd5cf95]
/lib64/libc.so.6(abort+0x110)[0x2aaaacd5ea40]
/lib64/libc.so.6[0x2aaaacda4fec]
/lib64/libc.so.6(cfree+0x27)[0x2aaaacda47b7]
/lib64/libnewt.so.0.52[0x2aaaaacd2a8d]
/lib64/libnewt.so.0.52(newtFormDestroy+0x2d)[0x2aaaaacd02ad]
/sbin/loader(chooseManualDriver+0x762)[0x412b62]
/sbin/loader(main+0x1afd)[0x40be2d]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2aaaacd492b4]
/sbin/loader[0x4081f9]
install exited abnormally [1/1] 
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /proc done
        /dev/pts done
        /sys done
you may safely reboot your system


Expected results:

xenblk device should load without error.


Additional info:
Comment 1 James Laska 2008-01-15 07:56:25 EST
Additional info:

This test was performed while booting with the updates image in
attachment#291647 [details].  Adding or removing the updates= line does not affect the
outcome of this defect.

Note You need to log in before you can comment on or make changes to this bug.